Name:           perl-Module-Info
Version:        0.31
Release:        7%{?dist}
Summary:        Information about Perl modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Info/
Source0:        http://www.cpan.org/authors/id/M/MB/MBARBON/Module-Info-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(version)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Source99:       Module-Info-filter-provides.sh
%global real_perl_provides %{__perl_provides}
%define __perl_provides %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-provides

%description
Module::Info gives you information about Perl modules without actually
loading the module. It actually isn't specific to modules and should work
on any perl code.

%prep
%setup -q -n Module-Info-%{version}

sed -e 's,@@PERL_PROV@@,%{real_perl_provides},' %{SOURCE99} > %{__perl_provides}
chmod +x %{__perl_provides}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_provides}

%files
%defattr(-,root,root,-)
%doc Changes
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Dec 10 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 6.0.x

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.31-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Steven Pritchard <steve@kspei.com> 0.31-4
- BR Test::Pod::Coverage.
- Filter B::Utils auto-provides.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.31-3
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.31-2
- rebuild for new perl

* Wed May 30 2007 Steven Pritchard <steve@kspei.com> 0.31-1
- Update to 0.31.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.30-5
- Use fixperms macro instead of our own chmod incantation.

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.30-4
- Rebuild.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.30-3
- Rebuild.

* Sat May 06 2006 Steven Pritchard <steve@kspei.com> 0.30-2
- Add BR: perl(Test::Pod) and perl(version).
- Add Requires: perl(version).

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.30-1
- Update to 0.30.
- Use perl macro.
- Drop extra find.

* Fri Mar 24 2006 Steven Pritchard <steve@kspei.com> 0.290-1
- Specfile autogenerated by cpanspec 1.64.
- Add bindir and man1 files.
